summaryrefslogtreecommitdiff
path: root/gsmsp/resources/tools/chk_bootstrap_prg.sh
diff options
context:
space:
mode:
Diffstat (limited to 'gsmsp/resources/tools/chk_bootstrap_prg.sh')
-rwxr-xr-xgsmsp/resources/tools/chk_bootstrap_prg.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/gsmsp/resources/tools/chk_bootstrap_prg.sh b/gsmsp/resources/tools/chk_bootstrap_prg.sh
new file mode 100755
index 0000000..ba6a6bf
--- /dev/null
+++ b/gsmsp/resources/tools/chk_bootstrap_prg.sh
@@ -0,0 +1,26 @@
+#! /bin/sh
+
+DIE=0
+(autoconf --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have autoconf installed."
+ DIE=1
+}
+
+# libtool --version check not done...
+(libtoolize --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have libtool installed."
+ DIE=1
+}
+
+(automake --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have automake installed."
+ DIE=1
+}
+
+if test "$DIE" -eq 1; then
+ exit 1
+fi
+
personal git repositories of Harald Welte. Your mileage may vary